Main Page Class Hierarchy Compound List File List Compound Members File Members

# getutil.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <earthworm.h>`
`#include <kom.h>`

Go to the source code of this file.

## Defines
#define | MAXRING 20
#define | RINGLEN MAX_RING_STR
#define | MAXMODID 256
#define | MODLEN MAX_MOD_STR
#define | MAXMSGTYPE 256
#define | MSGLEN MAX_TYPE_STR
#define | MAXINSTID 256
#define | INSTLEN MAX_INST_STR
#define | MAXLEN 255
## Functions
long | GetKey (char *ringName)
int | GetLocalInst (unsigned char *localId)
int | GetInst (char *instName, unsigned char *instId)
int | GetModId (char *modName, unsigned char *modId)
int | GetType (char *msgName, unsigned char *msgType)
void | GetUtil_LoadTable (void)
## Variables
struct {
long key
char name [RINGLEN+1]
} | EW_Ring [MAXRING]
int | Max_Ring = 0
struct {
unsigned char id
char name [MODLEN+1]
} | EW_Module [MAXMODID]
int | Max_ModuleId = 0
struct {
unsigned char type
char name [MSGLEN+1]
} | EW_Message [MAXMSGTYPE]
int | Max_MessageType = 0
struct {
unsigned char id
char name [INSTLEN+1]
} | EW_Installation [MAXINSTID]
int | Max_Installation = 0
char | FullTablePath [MAXLEN+1]
char * | TableFile [] = {"earthworm_global.d","earthworm.d"}
char | nTableFile = 2
int | LoadTables = 1

## Define Documentation

#define INSTLEN MAX_INST_STR

| Definition at line 85 of file getutil.c. Referenced by GetUtil_LoadTable().

#define MAXINSTID 256

| Definition at line 84 of file getutil.c. Referenced by GetUtil_LoadTable().

#define MAXLEN 255

| Definition at line 92 of file getutil.c. Referenced by GetUtil_LoadTable().

#define MAXMODID 256

| Definition at line 64 of file getutil.c. Referenced by GetUtil_LoadTable().

#define MAXMSGTYPE 256

| Definition at line 74 of file getutil.c. Referenced by GetUtil_LoadTable().

#define MAXRING 20

| Definition at line 54 of file getutil.c. Referenced by GetUtil_LoadTable().

#define MODLEN MAX_MOD_STR

| Definition at line 65 of file getutil.c. Referenced by GetUtil_LoadTable().

#define MSGLEN MAX_TYPE_STR

| Definition at line 75 of file getutil.c. Referenced by GetUtil_LoadTable().

#define RINGLEN MAX_RING_STR

| Definition at line 55 of file getutil.c. Referenced by GetUtil_LoadTable().

## Function Documentation

int GetInst | ( | char * | instName,
|  | unsigned char * | instId
| ) |

| Definition at line 201 of file getutil.c. References EW_Installation, GetUtil_LoadTable(), LoadTables, and Max_Installation. Referenced by GetLocalInst().

long GetKey | ( | char * | ringName | ) |

| Definition at line 107 of file getutil.c. References EW_Ring, GetUtil_LoadTable(), LoadTables, and Max_Ring.

int GetLocalInst | ( | unsigned char * | localId | ) |

| Definition at line 149 of file getutil.c. References GetInst(), GetUtil_LoadTable(), and LoadTables.

int GetModId | ( | char * | modName,
|  | unsigned char * | modId
| ) |

| Definition at line 240 of file getutil.c. References EW_Module, GetUtil_LoadTable(), LoadTables, and Max_ModuleId.

int GetType | ( | char * | msgName,
|  | unsigned char * | msgType
| ) |

| Definition at line 278 of file getutil.c. References EW_Message, GetUtil_LoadTable(), LoadTables, and Max_MessageType. Referenced by tport_buffer().

void GetUtil_LoadTable | ( | void |  | ) |

| Definition at line 314 of file getutil.c. References com, EW_Installation, EW_Message, EW_Module, EW_Ring, FullTablePath, INSTLEN, k_close(), k_err(), k_int(), k_its(), k_long(), k_open(), k_rd(), k_str(), Max_Installation, Max_MessageType, Max_ModuleId, Max_Ring, MAXINSTID, MAXLEN, MAXMODID, MAXMSGTYPE, MAXRING, MODLEN, MSGLEN, nTableFile, and RINGLEN. Referenced by GetInst(), GetKey(), GetLocalInst(), GetModId(), and GetType().

## Variable Documentation

struct { ... } EW_Installation[MAXINSTID]`[static]`

| Referenced by GetInst(), and GetUtil_LoadTable().

struct { ... } EW_Message[MAXMSGTYPE]`[static]`

| Referenced by GetType(), and GetUtil_LoadTable().

struct { ... } EW_Module[MAXMODID]`[static]`

| Referenced by GetModId(), and GetUtil_LoadTable().

struct { ... } EW_Ring[MAXRING]`[static]`

| Referenced by GetKey(), and GetUtil_LoadTable().

char FullTablePath[MAXLEN+1]`[static]`

| Definition at line 93 of file getutil.c. Referenced by GetUtil_LoadTable().

unsigned char id

| Definition at line 87 of file getutil.c. Referenced by peak_ground(), and vpassm().

long key

| Definition at line 57 of file getutil.c.

int LoadTables = 1`[static]`

| Definition at line 96 of file getutil.c. Referenced by GetInst(), GetKey(), GetLocalInst(), GetModId(), and GetType().

int Max_Installation = 0`[static]`

| Definition at line 90 of file getutil.c. Referenced by GetInst(), and GetUtil_LoadTable().

int Max_MessageType = 0`[static]`

| Definition at line 80 of file getutil.c. Referenced by GetType(), and GetUtil_LoadTable().

int Max_ModuleId = 0`[static]`

| Definition at line 70 of file getutil.c. Referenced by GetModId(), and GetUtil_LoadTable().

int Max_Ring = 0`[static]`

| Definition at line 60 of file getutil.c. Referenced by GetKey(), and GetUtil_LoadTable().

char name[INSTLEN+1]

| Definition at line 88 of file getutil.c. Referenced by site_com().

char nTableFile = 2`[static]`

| Definition at line 95 of file getutil.c. Referenced by GetUtil_LoadTable().

char* TableFile[] = {"earthworm_global.d","earthworm.d"}`[static]`

| Definition at line 94 of file getutil.c.

unsigned char type

| Definition at line 77 of file getutil.c. Referenced by pipe_get(), WormServerBase::SendStatus(), wave_inquire(), and wave_request().